Bug 587707 - cpl_atomic_ops.h missing
cpl_atomic_ops.h missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 599790 599993
  Show dependency treegraph
 
Reported: 2010-04-30 12:05 EDT by Thomas Sailer
Modified: 2010-07-08 18:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.7.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 18:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2010-04-30 12:05:33 EDT
Description of problem:
/usr/include/gdal/ogr_feature.h includes cpl_atomic_ops.h

Version-Release number of selected component (if applicable):
gdal-devel-1.7.1-2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1.Try to compile a .c file that includes ogr_feature.h
  
Actual results:
In file included from /usr/include/gdal/ogrsf_frmts.h:33,
                 from vfrnav/utils/vmap.cc:38:
/usr/include/gdal/ogr_feature.h:35:28: error: cpl_atomic_ops.h: No such file or directory
In file included from /usr/include/gdal/ogrsf_frmts.h:33,
                 from vfrnav/utils/srtmwatermask.cc:57:
/usr/include/gdal/ogr_feature.h:35:28: error: cpl_atomic_ops.h: No such file or directory
In file included from /usr/include/gdal/ogrsf_frmts.h:33,
                 from vfrnav/utils/vmap.cc:38:
/usr/include/gdal/ogr_feature.h: In member function ‘int OGRFeatureDefn::Reference()’:
/usr/include/gdal/ogr_feature.h:142: error: ‘CPLAtomicInc’ was not declared in this scope
/usr/include/gdal/ogr_feature.h: In member function ‘int OGRFeatureDefn::Dereference()’:
/usr/include/gdal/ogr_feature.h:143: error: ‘CPLAtomicDec’ was not declared in this scope
In file included from /usr/include/gdal/ogrsf_frmts.h:33,
                 from vfrnav/utils/srtmwatermask.cc:57:
/usr/include/gdal/ogr_feature.h: In member function ‘int OGRFeatureDefn::Reference()’:
/usr/include/gdal/ogr_feature.h:142: error: ‘CPLAtomicInc’ was not declared in this scope
/usr/include/gdal/ogr_feature.h: In member function ‘int OGRFeatureDefn::Dereference()’:
/usr/include/gdal/ogr_feature.h:143: error: ‘CPLAtomicDec’ was not declared in this scope


Expected results:
compiles without error
Comment 1 Sven Lankes 2010-06-06 16:20:21 EDT
seconded - please add the content of the /port directory to the package. This will allow merkaartor to build on f14 - http://koji.fedoraproject.org/koji/getfile?taskID=2233796&name=build.log
Comment 2 Sven Lankes 2010-07-08 17:46:09 EDT
I have recreated the gdal-fedora tarball for the current upstream release 1.7.2 - this fixes the missing header file.

I haven't made any other changes.

SPEC: http://sven.lank.es/Fedora/SPECS/gdal.spec
SRPM: http://sven.lank.es/Fedora/SRPM/gdal-1.7.2-1.fc13.src.rpm

Any provenpackager help is highly appreciated.
Comment 3 Robert Scheck 2010-07-08 18:33:49 EDT
Package: gdal-1.7.2-1.fc14 Tag: dist-f14 Status: complete Built by: robert

Note You need to log in before you can comment on or make changes to this bug.